Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Update:0(

  • 1 reply
  • 1 has this problem
  • 13 views
  • Last reply by James

more options

I have been using Firefox for many years on my Mac 10.11.6. Firefox recently offered me an update, I duly downloaded and attempted to update but apparently my Mac is too old, and now cannot get back to the former version of Firefox:0( Problem is I have lost all my passwords to sites that I visited and I cannot find the correct old version of Firefox to re-install, can you please point me to a link that allows me to install the OLD version. I have tried many times throught the ESR channel but it wont work as it is trying to install a higher than possible version:0( Hope for a resolution Cheers Roy from England.

I have been using Firefox for many years on my Mac 10.11.6. Firefox recently offered me an update, I duly downloaded and attempted to update but apparently my Mac is too old, and now cannot get back to the former version of Firefox:0( Problem is I have lost all my passwords to sites that I visited and I cannot find the correct old version of Firefox to re-install, can you please point me to a link that allows me to install the OLD version. I have tried many times throught the ESR channel but it wont work as it is trying to install a higher than possible version:0( Hope for a resolution Cheers Roy from England.

All Replies (1)

more options

Firefox since Fx 79.0 and later including the current Fx 96 and 91 ESR requires macOS 10.12 (ten.twelve) at minimum.

Besides updating your OS to macOS 10.12 or later, the most current Firefox version you can install on macOS 10.9, 10.10 and 10.11 is Fx 78.15.0 ESR though it is EOL with no more updates.

https://support.mozilla.org/en-US/kb/firefox-mac-osx-users-esr

https://www.mozilla.org/firefox/78.0/system-requirements/ https://www.mozilla.org/firefox/79.0/system-requirements/ https://www.mozilla.org/firefox/96.0/system-requirements/

Firefox 78.15.0esr https://archive.mozilla.org/pub/firefox/releases/78.15.0esr/mac/en-US/ other locales at https://archive.mozilla.org/pub/firefox/releases/78.15.0esr/mac/

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.